Bug 593574 - Bluetooth Internet sharing fails
Summary: Bluetooth Internet sharing fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 593570 593572 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 07:54 UTC by Misha Shnurapet
Modified: 2011-06-27 16:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:28:30 UTC
Type: ---


Attachments (Terms of Use)
netbook.log (6.72 KB, application/octet-stream)
2010-05-20 11:48 UTC, Misha Shnurapet
no flags Details
pc.log (2.32 KB, application/octet-stream)
2010-05-20 11:49 UTC, Misha Shnurapet
no flags Details

Description Misha Shnurapet 2010-05-19 07:54:51 UTC
I bind my netbook to my PC having a broadband Internet connection and check the option to use the PC for networking. I then open the NetworkManager applet menu and see the connection created. But it's not useable as I click to connect. 

gnome-bluetooth-libs-2.28.6-2.fc12.i686
gnome-bluetooth-2.28.6-2.fc12.i686
bluez-libs-4.58-1.fc12.i686
bluez-4.58-1.fc12.i686
bluez-cups-4.58-1.fc12.i686
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.i686
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.i686
NetworkManager-0.8.0-6.git20100408.fc12.i686
NetworkManager-pptp-0.7.997-3.git20100120.fc12.i686
NetworkManager-glib-0.8.0-6.git20100408.fc12.i686
NetworkManager-gnome-0.8.0-6.git20100408.fc12.i686

I tried it several times with same result.

Steps to Reproduce:
1. Bind a notebook to a PC having a USB bluetooth dongle installed; 
2. Choose the newly created Internet connection in the NetworkManager applet.
  
The NetworkManager icon twirls for a while showing it is working on the command, but then goes back to "disconnected". No connection actually established. When doing same action with a mobile phone it connects well and changes its icon to "wireless connection".

I have also tried to do the same with Blueman and it also failed saying "Failed to obtain an IP address on bnep0". I'm not sure if it's related, though, as these are different software.

I have googled for the error message, but it seems to be a rare issue. I have also asked on IRC, but I assume noone got interested to answer.

Comment 1 Misha Shnurapet 2010-05-19 07:59:43 UTC
*** Bug 593572 has been marked as a duplicate of this bug. ***

Comment 2 Misha Shnurapet 2010-05-19 08:00:02 UTC
*** Bug 593570 has been marked as a duplicate of this bug. ***

Comment 3 Misha Shnurapet 2010-05-19 08:02:29 UTC
This is what I have on my desktop PC:

bluez-4.58-1.fc12.x86_64
gnome-bluetooth-2.28.6-2.fc12.x86_64
bluez-cups-4.58-1.fc12.x86_64
gnome-bluetooth-libs-2.28.6-2.fc12.x86_64
bluez-libs-4.58-1.fc12.x86_64
NetworkManager-glib-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-gnome-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.x86_64
NetworkManager-pptp-0.7.997-3.git20100120.fc12.x86_64

I will provide other info if needed. Thank you.

Comment 4 Dan Williams 2010-05-20 07:01:13 UTC
This problem may have been fixed in a testing update of NetworkManager.  Try:

su -c 'yum --enablerepo=updates-testing update NetworkManager'

and see if that fixes your problem.  The specific fixes are for Bluetooth PAN connections, which it sounds like you're using.  If this update fails, please attach your /var/log/messages file from the time the error occurs. Thanks!

Comment 5 Dan Williams 2010-05-20 07:06:30 UTC
This problem may have been fixed in a testing update of NetworkManager.  Try:

su -c 'yum --enablerepo=updates-testing update NetworkManager'

and see if that fixes your problem.  The specific fixes are for Bluetooth PAN connections, which it sounds like you're using.  If this update fails, please attach your /var/log/messages file from the time the error occurs. Thanks!

Comment 6 Misha Shnurapet 2010-05-20 11:48:00 UTC
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.i686
NetworkManager-glib-0.8.1-0.1.git20100510.fc12.i686
NetworkManager-gnome-0.8.1-0.1.git20100510.fc12.i686
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.i686
NetworkManager-pptp-0.7.997-3.git20100120.fc12.i686
NetworkManager-0.8.1-0.1.git20100510.fc12.i686

NetworkManager-0.8.1-0.1.git20100510.fc12.x86_64
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-glib-0.8.1-0.1.git20100510.fc12.x86_64
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.x86_64
NetworkManager-gnome-0.8.1-0.1.git20100510.fc12.x86_64
NetworkManager-pptp-0.7.997-3.git20100120.fc12.x86_64

Comment 7 Misha Shnurapet 2010-05-20 11:48:48 UTC
Created attachment 415391 [details]
netbook.log

Comment 8 Misha Shnurapet 2010-05-20 11:49:26 UTC
Created attachment 415392 [details]
pc.log

Comment 9 Misha Shnurapet 2010-05-20 11:59:36 UTC
Also, this time there was no menu item until I logged out and back in.

Comment 10 Dan Williams 2010-05-20 20:36:40 UTC
I believe this is due to errors with the kernel driver for your bluetooth device:

May 20 20:40:35 mini dhclient[2555]: DHCPDISCOVER on bnep0 to 255.255.255.255 port 67 interval 14
May 20 20:40:37 mini kernel: btusb_intr_complete: hci0 urb f0a71800 failed to resubmit (1)
May 20 20:40:37 mini kernel: btusb_bulk_complete: hci0 urb f0a71a80 failed to resubmit (1)
May 20 20:40:37 mini kernel: btusb_bulk_complete: hci0 urb f0a71e80 failed to resubmit (1)
May 20 20:40:44 mini NetworkManager[1036]: <warn> (bnep0): DHCPv4 request timed out.
May 20 20:40:44 mini NetworkManager[1036]: <info> (bnep0): canceled DHCP transaction, DHCP client pid 2555

Basically, NM can't get a response from your device for the DHCP requests over the PAN interface.  The messages from the kernel are somewhat worrying and possibly indicative of a failure of the bluetooth stack to communicate with the hardware.

Comment 11 Misha Shnurapet 2010-09-18 06:57:56 UTC
The problem persists.

Comment 12 Bug Zapper 2011-06-02 13:50:56 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2011-06-27 16:28:30 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.